<template>
  <div id="app">
    <nav class="navbar navbar-expand-lg navbar-light " style="background-color: rgb(63 152 121);">
      <a class="navbar-brand" href="#"><img alt="Vue logo" src="./assets/logo.png" style="width: 24px;"> Vue.js</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item active">
            <router-link class="nav-link" :to="{ name: 'movies' }">Movie</router-link>
          </li>
          <li class="nav-item">
            <router-link class="nav-link" :to="{ name: 'favorite' }">Favorite</router-link>
          </li>

        </ul>

      </div>
    </nav>
    <router-view/>
  </div>
</template>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}


#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
